cURL
curl --request POST \
--url https://api.finosu.com/scheduled-calls/customer/{customerId}/cancel-all \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/scheduled-calls/customer/{customerId}/cancel-all"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/scheduled-calls/customer/{customerId}/cancel-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canceledCount": 123,
"scheduledCalls": [
{
"id": "<string>",
"customerId": "<string>",
"scheduledTime": "<string>",
"status": "<string>",
"callId": "<string>",
"postProcessingFlags": [
"<string>"
]
}
]
}{
"error": 123,
"message": "<string>"
}Scheduled Calls
Cancel All Scheduled Calls
Cancels all pending scheduled calls for a customer
POST
/
scheduled-calls
/
customer
/
{customerId}
/
cancel-all
cURL
Cancels calls whose current status is
PENDING for the customer identified by
their external reference within the API key’s company. Calls in other statuses
are not selected by this operation.
This operation does not cancel the parent cadence. Do not use it as an assumed
replacement for a funded/stop upload. See
Funded applications and stopping outreach
before retiring an existing stop process.Authorizations
Path Parameters
ID of customer whose scheduled calls should be canceled